Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 975184 - dconf: cannot edit configuration because of dbus-launch failure
Summary: dconf: cannot edit configuration because of dbus-launch failure
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dconf
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 18:38 UTC by Florian Weimer
Modified: 2019-07-23 21:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:14:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2013-06-17 18:38:33 UTC
I tried to use dconf to edit .config/dconf/user from a TTY login because the existing configuration prevented GNOME Shell from starting.  However, I could not make any changes because of a dbus-launch failure:

[fweimer@oldenburg ~]$ dconf reset -f  /org/gnome/desktop/a11y/
error: Error spawning command line `dbus-launch --autolaunch=a701a9e30f0346fab6f030a43a13e639 --binary-syntax --close-stderr': Child process exited with code 1

Usage:
  dconf reset [-f] PATH

Reset a key or dir.  -f is required for dirs.

Arguments:
  PATH      Either a KEY or DIR
  KEY       A key path (starting, but not ending with '/')
  DIR       A directory path (starting and ending with '/')


Version-Release number of selected component (if applicable):

dconf-0.16.0-1.fc19.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Log in on TTY.
2. Run dconf reset -f  /org/gnome/desktop/a11y/.

Actual results:

A dbus-launch error.

Expected results:

The configuration should be changed as requested.

Additional info:

"dconf dump /" works.

Comment 1 Fedora End Of Life 2015-01-09 18:27:40 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Moez Roy 2015-02-16 01:30:50 UTC
Was trying to make a live cd and load my old dconf settings into a new user profile like so:

cat oldsettings | dconf load /

Comment 3 Jaroslav Reznik 2015-03-03 14:57:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 10:14:52 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.